*==============================================================================*
* TTULO DE LA SINTAXIS:*
* Sintaxis de Tabulados 
* OPERACIN ESTADSTICA:*
* Camas Hospitalarias, Ao 2017(ECH - 2017)*
* UNIDAD TCNICA RESPONSABLE:*
* Unidad de Gestin de Estadsticas Sociodemogrficas en base a Registros Administrativos*
* Direccin Estadsticas Sociodemogrficas (DIES) *
* ENTIDAD EJECUTORA:*
* Instituto Nacional de Estadstica y Censos (INEC) *
*==============================================================================*
* Fecha ltima modificacin:   mayo de 2018*
*==============================================================================*
* Modificado por:* 
* Equipo tcnico**
* Unidad de Gestin de Estadsticas Sociodemogrficas en base a Registros Administrativos (GESRA) *
* Instituto Nacional de Estadstica y Censos (INEC)*
*==============================================================================*
* Revisado por: *
* Jefe de la unidad*
* Responsable de la Unidad de Gestin de Estadsticas Sociodemogrficas en base a Registros Administrativos (GESRA) * *
* Instituto Nacional de Estadstica y Censos (INEC)*
*==============================================================================*
*==============================================================================*
* Descripcin:
* 1. Correr la programacin en spss.
* 2. La presente sintaxis est diseada para generar y crear las variables necesarias para la elaboracin de los cuadros estadsticos de Camas.
* Correpondiente al anuario de Camas y Egresos Hospitalarios.
*==============================================================================*
*Sintaxis de Tabulados Camas Hospitalarias, Ao 2017 (ECH - 2017)*
*==============================================================================*

GET FILE='D:\EGRESOS Y CAMAS\BASES CAMAS\camas_2017.sav'.

* Se preara la base con las variables necesarias**.
filter off.
use all.
compute fallecidos = sum.1(falmen48, falmas48).
compute nacional =1.

filter off.
use all.
NUMERIC reg_sie (f2.0).
if (prov_ubi = "01" ) reg_sie= 1.
if (prov_ubi = "02" ) reg_sie = 2.
if (prov_ubi = "03" ) reg_sie = 3.
if (prov_ubi = "04" ) reg_sie = 4.
if (prov_ubi = "05" ) reg_sie = 5.
if (prov_ubi = "06" ) reg_sie = 6.
if (prov_ubi = "10" ) reg_sie = 7.
if (prov_ubi = "11" ) reg_sie = 8.
if (prov_ubi = "17" ) reg_sie = 9.
if (prov_ubi = "18" ) reg_sie = 10.
if (prov_ubi = "23" ) reg_sie = 11.

VARIABLE LABELS reg_sie "region sierra y provincias".
VALUE LABELS reg_sie
1 "Azuay"
2 "Bolivar"
3 "Caar"
4 "Carchi"
5 "Cotopaxi"
6 "Chimborazo"
7 "Imababura"
8 "Loja"
9 "Pichincha"
10 "Tungurahua"
11 "Santo Domingo de los Tschilas".

NUMERIC reg_cos (f2.0).
if (prov_ubi = "07" ) reg_cos= 1.
if (prov_ubi = "08" ) reg_cos = 2.
if (prov_ubi = "09" ) reg_cos = 3.
if (prov_ubi = "12" ) reg_cos = 4.
if (prov_ubi = "13" ) reg_cos = 5.
if (prov_ubi = "24" ) reg_cos = 6.


VARIABLE LABELS reg_cos "region costa y provincias".
VALUE LABELS reg_cos
1 "El Oro"
2 "Esmeraldas"
3 "Guayas"
4 "Los Ros"
5 "Manab"
6 "Santa Elena".

NUMERIC reg_amas (f2.0).
if (prov_ubi = "14" ) reg_amas= 1.
if (prov_ubi = "15" ) reg_amas = 2.
if (prov_ubi = "16" ) reg_amas = 3.
if (prov_ubi = "19" ) reg_amas = 4.
if (prov_ubi = "21" ) reg_amas = 5.
if (prov_ubi = "22" ) reg_amas = 6.
VARIABLE LABELS reg_amas "region amazona y provincias".
VALUE LABELS reg_amas
1 "Morona Santiago"
2 "Napo"
3 "Pastaza"
4 "Zamora Chinchipe"
5 "Sucumbios"
6 "Orellana".
NUMERIC reg_insu (f2.0).
if (prov_ubi = "20" ) reg_insu= 1.
VARIABLE LABELS reg_insu "region insular y provincias".
VALUE LABELS reg_insu
1 "Galapagos".
NUMERIC zon_nd (f2.0).
if (prov_ubi = "90" ) zon_nd= 1.
VARIABLE LABELS zon_nd "zona no delimitada".
VALUE LABELS zon_nd
1 "zona no delimitada".

*Cuadro 3.1.1.
*Poblacin estimada, nmero de camas disponibles, egresos hospitalarios, defunciones hospitalarias, das de estada,ndices y tasas,  segn regiones y provincias.
CTABLES
  /VLABELS VARIABLES=nacional reg_sie reg_cos reg_amas reg_insu zon_nd camas_disp totegres 
    fallecidos dia_estad dias_cdis
    DISPLAY=BOTH
  /TABLE nacional + reg_sie + reg_cos + reg_amas + reg_insu + zon_nd BY camas_disp [SUM F40.0] + 
    totegres [SUM F40.0] + fallecidos [SUM F40.0] + dia_estad [SUM F40.0] + dias_cdis [SUM F40.0]
  /CATEGORIES VARIABLES=nacional ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=reg_sie reg_cos reg_amas reg_insu ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES 
    POSITION=BEFORE
  /CATEGORIES VARIABLES=zon_nd ORDER=A KEY=VALUE EMPTY=INCLUDE.

* Cuadro 3.1.2.
* Establecimientos hospitalarios, por nmero de egresos, das y promedio de estada, .
*nmero de camas hospitalarias disponibles, das-cama disponibles, porcentaje de ocupacin y giro de camas, .
*segn sector, clase de establecimiento y entidad a las que pertenecen.

compute num_e = 1.
VARIABLE LABELS num_e "nmero de establecimiento".

if (sector = 1) publico =1.
if (sector >=2 and sector <=3) privado = 1.
if (sector = 2) pconlucro =1.
if (sector = 3) psinlucro =1.

if ( publico =1 and clase=11) hos_espe =1.
var lab hos_espe "Hospital de especialidades".

DO IF  (hos_espe = 1).
RECODE entidad (1=1) (2=2) (3=3) (4=4) (5=5) (6=6) (7=7) (8=8) (9=9) (10=10)(11=11)(12=12)(13=13)(14=14)(15=15) (16=16) (17=17) (18=18)INTO hos_espe1.
END IF.
VARIABLE LABELS  hos_espe1 'entidad general'.
val lab hos_espe1
1  'Ministerio de Salud Pblica'
2   'Ministerio de Justicia, Derechos Humanos y Cultos '
3   'Ministerio de Defensa Nacional'
4   'Ministerio de Educacin'
5   'Otros ministerios'
6   'Instituto Ecuatoriano de Seguridad Social '
7   'Anexos al Seguro Social'
8   'Seguro Social Campesino '
9   'Otros pblicos '
10   'Consejos provinciales'
11   'Municipios'
12   'Universidades y politcnicas '
13   'Junta Beneficencia de Guayaquil'
14   'Cruz Roja Ecuatoriana'
15   'Sociedad de Lucha Contra el Cncer '
16   'Fiscomisionales'
17   'Privados sin fines de lucro'
18   'Privados con fines de lucro'.


if ( publico =1 and (clase >= 3 and clase <=10)) h_especil =1.
var lab h_especil "Hospital especializado".

DO IF  (h_especil = 1).
RECODE entidad (1=1) (2=2) (3=3) (4=4) (5=5) (6=6) (7=7) (8=8) (9=9) (10=10)(11=11)(12=12)(13=13)(14=14)(15=15) (16=16) (17=17) (18=18)INTO h_especil1.
END IF.
VARIABLE LABELS  h_especil1 'entidad general'.
val lab h_especil1
1  'Ministerio de Salud Pblica'
2   'Ministerio de Justicia, Derechos Humanos y Cultos '
3   'Ministerio de Defensa Nacional'
4   'Ministerio de Educacin'
5   'Otros ministerios'
6   'Instituto Ecuatoriano de Seguridad Social '
7   'Anexos al Seguro Social'
8   'Seguro Social Campesino '
9   'Otros pblicos '
10   'Consejos provinciales'
11   'Municipios'
12   'Universidades y politcnicas '
13   'Junta Beneficencia de Guayaquil'
14   'Cruz Roja Ecuatoriana'
15   'Sociedad de Lucha Contra el Cncer '
16   'Fiscomisionales'
17   'Privados sin fines de lucro'
18   'Privados con fines de lucro'.



if ( publico =1 and (clase = 2)) h_gener =1.
var lab h_gener "Hospital general".
 
DO IF  (h_gener = 1).
RECODE entidad (1=1) (2=2) (3=3) (4=4) (5=5) (6=6) (7=7) (8=8) (9=9) (10=10)(11=11)(12=12)(13=13)(14=14)(15=15) (16=16) (17=17) (18=18)INTO h_gener1.
END IF.
VARIABLE LABELS  h_gener1 'entidad general'.
val lab h_gener1
1  'Ministerio de Salud Pblica'
2   'Ministerio de Justicia, Derechos Humanos y Cultos '
3   'Ministerio de Defensa Nacional'
4   'Ministerio de Educacin'
5   'Otros ministerios'
6   'Instituto Ecuatoriano de Seguridad Social '
7   'Anexos al Seguro Social'
8   'Seguro Social Campesino '
9   'Otros pblicos '
10   'Consejos provinciales'
11   'Municipios'
12   'Universidades y politcnicas '
13   'Junta Beneficencia de Guayaquil'
14   'Cruz Roja Ecuatoriana'
15   'Sociedad de Lucha Contra el Cncer '
16   'Fiscomisionales'
17   'Privados sin fines de lucro'
18   'Privados con fines de lucro'.


if ( publico =1 and (clase = 1)) h_basico =1.
var lab h_basico "Hospital general".


DO IF  (h_basico = 1).
RECODE entidad (1=1) (2=2) (3=3) (4=4) (5=5) (6=6) (7=7) (8=8) (9=9) (10=10)(11=11)(12=12)(13=13)(14=14)(15=15) (16=16) (17=17) (18=18)INTO h_basico1.
END IF.
VARIABLE LABELS  h_basico1 'entidad general'.
val lab h_basico1
1  'Ministerio de Salud Pblica'
2   'Ministerio de Justicia, Derechos Humanos y Cultos '
3   'Ministerio de Defensa Nacional'
4   'Ministerio de Educacin'
5   'Otros ministerios'
6   'Instituto Ecuatoriano de Seguridad Social '
7   'Anexos al Seguro Social'
8   'Seguro Social Campesino '
9   'Otros pblicos '
10   'Consejos provinciales'
11   'Municipios'
12   'Universidades y politcnicas '
13   'Junta Beneficencia de Guayaquil'
14   'Cruz Roja Ecuatoriana'
15   'Sociedad de Lucha Contra el Cncer '
16   'Fiscomisionales'
17   'Privados sin fines de lucro'
18   'Privados con fines de lucro'.


****************privado**********************.

**definimos clase... 
COMPUTE pconlucro1 = 9.
if (sector = 2) and (entidad=12 or entidad = 18)  and  (clase = 1 or clase = 2  or clase = 3  or clase = 4  or clase = 5 
or clase = 6  or clase = 7  or clase = 8 or clase = 9 or clase = 10 or clase = 11  )  pconlucro1 = 1.
if (sector = 2) and entidad = 18  and  (clase = 13  or clase = 14 or clase = 15 or clase = 16 or clase = 17 ) pconlucro1 = 2.
if (sector = 2) and entidad = 18  and  (clase = 12 ) pconlucro1 = 3.


VARIABLE LABELS  pconlucro1 'entidad privado con fines de lucro'.
val lab pconlucro1
1 'Hospitales Privados CFL'
2  'Clnica especializada'
3 'Clnica general'
9 'ERRADA'.


**definimos clase... 
COMPUTE psinlucro1 = 9.
if (sector = 3) and (entidad=12 or entidad =17 or entidad =13 or entidad =15) and (clase =1 or clase =2  or clase =3  or clase =4  or clase =5  or 
clase =6  or clase = 7  or clase = 8 or clase = 9 or clase = 10 or clase = 11) psinlucro1 = 1.
if (sector = 3) and entidad = 17  and  (clase = 13  or clase = 14 or clase = 15 or clase = 16 or clase = 17 ) psinlucro1 = 2.
if (sector = 3) and entidad = 17  and  (clase = 12 ) psinlucro1 = 3.

VARIABLE LABELS  psinlucro1 'entidad privado sin fines de lucro'.
val lab psinlucro1
1 'Hospitales Privados SFL'
2  'Clnica especializada'
3 'Clnica general'
9 'ERRADA'.


********Total entidades publicas********.
 
DO IF  (publico = 1).
RECODE entidad (1=1) (2=2) (3=3) (4=4) (5=5) (6=6) (7=7) (8=8) (9=9) (10=10)(11=11)(12=12)(13=13)(14=14)(15=15) (16=16) (17=17) (18=18)INTO entid_pu.
END IF.
var lab entid_pu "Entidades pblicas".
val lab entid_pu
1  'Ministerio de Salud Pblica'
2   'Ministerio de Justicia, Derechos Humanos y Cultos '
3   'Ministerio de Defensa Nacional'
4   'Ministerio de Educacin'
5   'Otros ministerios'
6   'Instituto Ecuatoriano de Seguridad Social '
7   'Anexos al Seguro Social'
8   'Seguro Social Campesino '
9   'Otros pblicos '
10   'Consejos provinciales'
11   'Municipios'
12   'Universidades y politcnicas '
13   'Junta Beneficencia de Guayaquil'
14   'Cruz Roja Ecuatoriana'
15   'Sociedad de Lucha Contra el Cncer '
16   'Fiscomisionales'
17   'Privados sin fines de lucro'
18   'Privados con fines de lucro'.

variable level psinlucro1 pconlucro1 h_basico1 entid_pu(nominal).


CTABLES
  /FORMAT EMPTY=BLANK MISSING='.'
  /SMISSING VARIABLE
  /VLABELS VARIABLES=nacional publico hos_espe hos_espe1 h_especil h_especil1 h_gener h_gener1 
    h_basico h_basico1 privado psinlucro psinlucro1 pconlucro pconlucro1 entid_pu num_e totegres 
    dia_estad camas_disp dias_cdis
    DISPLAY=BOTH
  /TABLE nacional [C] + publico [C] + hos_espe [C] + hos_espe1 [C] + h_especil [C] + h_especil1 [C] 
    + h_gener [C] + h_gener1 [C] + h_basico [C] + h_basico1 [C] + privado [C] + psinlucro [C] + 
    psinlucro1 [C] + pconlucro [C] + pconlucro1 [C] + entid_pu BY num_e [C][COUNT F40.0] + totegres 
    [S][SUM] + dia_estad [S][SUM] + camas_disp [S][SUM] + dias_cdis [S][SUM]
  /CATEGORIES VARIABLES=nacional publico hos_espe h_especil h_gener h_basico privado psinlucro 
    pconlucro num_e ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=hos_espe1 h_especil1 h_gener1 h_basico1 psinlucro1 pconlucro1 entid_pu 
    ORDER=A KEY=VALUE EMPTY=INCLUDE.


* Cuadro 3.1.3.
*Nmero de establecimientos y nmero de camas hospitalarias disponibles, por clase de establecimiento,segn regiones y  provincias*.

GET FILE=' D:\EGRESOS Y CAMAS\BASES CAMAS\camas_2017.sav'.
filter off.
use all.
compute t0 = 1.
compute t1 = 1.

NUMERIC reg_nat (f2.0).
if (prov_ubi >= "01" and prov_ubi <= "06") reg_nat= 1.
if (prov_ubi >= "10" and prov_ubi <= "11") reg_nat= 1.
if (prov_ubi >= "17" and prov_ubi <= "18") reg_nat= 1.
if (prov_ubi = "23") reg_nat= 1.
if (prov_ubi >= "07" and prov_ubi <= "09") reg_nat = 2.
if (prov_ubi >= "12" and prov_ubi <= "13") reg_nat = 2.
if (prov_ubi = "24") reg_nat= 2.
if (prov_ubi >= "14" and prov_ubi <= "16") reg_nat = 3.
if (prov_ubi = "19") reg_nat= 3.
if (prov_ubi >= "21" and prov_ubi <= "22") reg_nat = 3.
if (prov_ubi = "20") reg_nat= 4.
if (prov_ubi = "90") reg_nat= 5.
execute.


VALUE LABELS
/REG_NAT  
1 'Regipon Sierra'
2 'Regin Costa'
3 'Regin Amaznica'
4 'Regin Insular'
5 'Zonas no delimitadas'.

******Para agrupar las sectores con entidades******.

STRING wclase (A1).
COMPUTE wclase = '9'.
EXECUTE .

if clase = 11 wclase = '1'.
if (clase = 3 or clase = 4 or clase = 5) wclase = "2".
if (clase = 6 or clase = 7 or clase = 8 or clase = 9 or clase = 10) wclase = "3".
if (clase =  2) wclase = "4".
if (clase = 1) wclase = "5".
if (clase = 13 or clase = 14 or clase = 15 or clase = 16 or clase = 17) wclase = "6".
if clase = 12 wclase = '7'.
EXECUTE.

STRING wtipo (A1).
COMPUTE wtipo = '9'.
EXECUTE .

if wclase = '1' wtipo = '1'.
if wclase = '2' wtipo = '2'.
if wclase = '3' wtipo = '2'.
if wclase = '4' wtipo = '3'.
if wclase = '5' wtipo = '3'.
if wclase = '6' wtipo = '4'.
if wclase = '7' wtipo = '5'.
EXECUTE.

VARIABLE LABELS 
t0   'Total Repblica' 
/t1   'Total '
/prov_ubi	' '.

VALUE LABELS 
t0 1	' '
/t1 1	' '
/wclase
'1'	'Hospital de especialidades'
'2'	'Agudo'
'3'	'Crnico'
'4'	'Hospital general'
'5'	'Hospital bsico'
'6'	'Clnica especializada'
'7'	'Clnica general'
'9'	'Raros CLASE'
/wtipo
'1'	'Hospital de especialidades'
'2'	'Hospital especializado'
'3'	'Hospital bsico y general'
'4'	'Clnica especializada'
'5'	'Clnica general'
'9'	'RAROS TIPO'.

TABLES
/OBSERVATION camas_disp 
/TABLE t0+REG_NAT >(t1+prov_ubi) by camas_disp + (wtipo>wclase>camas_disp)
/STATISTICS COUNT('N. DE ESTABLECIMIENTOS') SUM((f6)"") 
/TITLES "Cuadro 3.1.3"
"Nmero de establecimientos y nmero de camas hospitalarias disponibles, por clase de establecimiento"
	"Segn regiones y  provincias"	
/CAPTION  "Anuario de Estadsticas Hospitalarias - Camas y Egresos  - INEC 2017"
/CORNER.
EXECUTE.

* Cuadro 3.1.4.
**Nmero de establecimientos y nmero de camas de dotacin normal, por clase de establecimiento,segn regiones y provincias*.

TABLES
/OBSERVATION camas_dnor
/TABLE t0+REG_NAT>(t1+prov_ubi) by camas_dnor + (wtipo>wclase>camas_dnor)
/STATISTICS COUNT('N. DE ESTABLECIMIENTOS') SUM((f6)"") 
/TITLES "Cuadro 3.1.4"
"Nmero de establecimientos y nmero de camas de dotacin normal por clase de establecimiento"
	"Segn regiones y  provincias"
/CAPTION  "Anuario de Estadsticas Hospitalarias - Camas y Egresos  - INEC 2017"
/CORNER.
EXECUTE.

* Cuadro 3.1.5.
*Nmero de establecimientos hospitalarios y nmero de camas hospitalarias disponibles por sector y entidad a la que pertenecen,segn regiones y  provincias*.

GET FILE=' D:\EGRESOS Y CAMAS\BASES CAMAS\camas_2017.sav'.
*Crear variables  de trabajo.
filter off.
use all.
compute t0 = 1.
compute t1 = 1.

NUMERIC reg_nat (f2.0).
if (prov_ubi >= "01" and prov_ubi <= "06") reg_nat= 1.
if (prov_ubi >= "10" and prov_ubi <= "11") reg_nat= 1.
if (prov_ubi >= "17" and prov_ubi <= "18") reg_nat= 1.
if (prov_ubi = "23") reg_nat= 1.
if (prov_ubi >= "07" and prov_ubi <= "09") reg_nat = 2.
if (prov_ubi >= "12" and prov_ubi <= "13") reg_nat = 2.
if (prov_ubi = "24") reg_nat= 2.
if (prov_ubi >= "14" and prov_ubi <= "16") reg_nat = 3.
if (prov_ubi = "19") reg_nat= 3.
if (prov_ubi >= "21" and prov_ubi <= "22") reg_nat = 3.
if (prov_ubi = "20") reg_nat= 4.
if (prov_ubi = "90") reg_nat= 5.
execute.


VALUE LABELS
/reg_nat  
1 'Regin Sierra'
2 'Regin Costa'
3 'Regin Amaznica'
4 'Regin Insular'
5 'Zonas no delimitadas'.

*****Para agrupar las sectores con entidades*****.

STRING wenti (A2).
COMPUTE wenti = '10'.
EXECUTE .

if entidad = 1 and sector =1 wenti = "1".
if entidad = 2 and sector =1 wenti = "2".
if entidad = 3 and sector =1 wenti = "3".
if (entidad = 6 or entidad = 7 or entidad = 8) and (sector =1) wenti = "4".
if (entidad = 4 or entidad = 5 or entidad = 9 or entidad = 10 or entidad = 11 or entidad = 12 or entidad = 14 or entidad = 16) and sector =1 wenti = "7".
if (entidad = 17 or entidad = 12 or entidad = 13 or entidad = 15 ) and (sector =3) wenti = "8".
if (entidad = 18 or entidad = 12) and (sector =2) wenti = "9".
EXECUTE.

STRING wsector (A1).
COMPUTE wsector = '9'.
EXECUTE .

if (wenti = '1'  or wenti = '2'  or wenti = '3'  or wenti = '4'  or wenti = '7' ) 	wsector = "1".
if (wenti = '8'  or wenti = '9') wsector = "2".
EXECUTE .

VARIABLE LABELS
t0   'Total Repblica' 
/t1   'Total '
/prov_ubi	' '
/camas_disp 'camas '.

VALUE LABELS 
t0 1	' '
/t1 1	' '
/wenti
'1'	'Ministerio de Salud Pblica'
'2'	'Ministerio de Justicia, Derechos Humanos y Cultos'
'3'	'Ministerio de Defensa Nacional'
'4'	'Instituto Ecuatoriano de Seguridad Social (IESS)'
'7'	'Otras /1'
'8'	'Privados sin fines de lucro'
'9'	'Privados con fines de lucro '
'10'	'ERRADO ENTI'
/wsector	
'1'	'Sector pblico'
'2'	'Sector Privado'
'9'	'ERRADO SECTOR'.


***** Filtrar registros que cumplen condicones*****. 

USE ALL.
COMPUTE filter_$=(wsector<>'9').
VARIABLE LABEL filter_$ "wsector<>'9' (FILTER)".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TABLES
/OBSERVATION camas_disp 
/TABLE t0+REG_NAT>(t1+prov_ubi) by camas_disp + (wsector>wenti>camas_disp)
/STATISTICS COUNT('N. DE ESTABLECIMIENTOS') SUM((f6)"") 
/TITLES "Cuadro 3.1.5"
"Nmero de establecimientos hospitalarios y nmero de camas hospitalarias disponibles por sector y entidad a la que pertenecen"
	"Segn regiones y provincias"
/CAPTION  "Anuario de Estadsticas Hospitalarias - Camas y Egresos  - INEC 2017"
/CORNER.
EXECUTE.


* Cuadro 3.1.6.
*Nmero de establecimientos hospitalarios y nmero de camas hospitalarias de dotacin normal,
por sector y entidad a la que pertenecen, segn regiones y  provincias.


***** Filtrar registros que cumplen condicones*****. 

USE ALL.
COMPUTE filter_$=(wsector<>'9').
VARIABLE LABELS filter_$ "wsector<>'9' (FILTER)".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


TABLES
/OBSERVATION camas_dnor
/TABLE t0+REG_NAT>(t1+prov_ubi) by camas_dnor+ (wsector>wenti>camas_dnor)
/STATISTICS COUNT('N. DE ESTABLECIMIENTOS') SUM((f6)"") 
/TITLES "Cuadro c_3_1_6"
"Nmero de establecimientos hospitalarios y nmero de camas hospitalarias de dotacin normal"
	"por sector y entidad a la que pertenecen segn regiones y  provincias"
/CAPTION  "Anuario de Estadsticas Hospitalarias - Camas y Egresos  - INEC 2017"
/CORNER.
EXECUTE.

* Cuadro 3.1.7.
*Camas hospitalarias de dotacin normal por servicios, de emergencia y cuidados intensivos , segn regiones, provincias, sector y entidad.

GET FILE=' D:\EGRESOS Y CAMAS\BASES CAMAS\camas_2017.sav'.
* crear variables de trabajo*.
filter off.
use all.

compute t0 = 1.
compute t1 = 1.

STRING wclase (A1).
COMPUTE wclase = '9'.
EXECUTE .

if sector = 1 and (clase = 1 or clase = 2 or clase = 3 or clase = 4 or clase = 5 or clase = 6 or clase = 7 or  clase = 8 or clase = 9 or clase = 10 or clase = 11) wclase = '1'.
if (sector = 2 or sector = 3) and (clase = 1 or clase = 2 or clase = 3 or clase = 4 or clase = 5 or clase = 6 or clase = 7 or  clase = 8 or clase = 9 or clase = 10 or clase = 11) wclase = '2'.
if (sector = 2 or sector = 3) and (clase = 12 or clase = 13 or clase = 14 or clase = 15 or clase = 16 or clase = 17) wclase = '3'.
EXECUTE.


NUMERIC reg_nat (f2.0).
if (prov_ubi >= "01" and prov_ubi <= "06") reg_nat= 1.
if (prov_ubi >= "10" and prov_ubi <= "11") reg_nat= 1.
if (prov_ubi >= "17" and prov_ubi <= "18") reg_nat= 1.
if (prov_ubi = "23") reg_nat= 1.
if (prov_ubi >= "07" and prov_ubi <= "09") reg_nat = 2.
if (prov_ubi >= "12" and prov_ubi <= "13") reg_nat = 2.
if (prov_ubi = "24") reg_nat= 2.
if (prov_ubi >= "14" and prov_ubi <= "16") reg_nat = 3.
if (prov_ubi = "19") reg_nat= 3.
if (prov_ubi >= "21" and prov_ubi <= "22") reg_nat = 3.
if (prov_ubi = "20") reg_nat= 4.
if (prov_ubi = "90") reg_nat= 5.
execute.

VALUE LABELS
/REG_NAT  
1 'Regin Sierra'
2 'Regin Costa'
3 'Regin Amaznica'
4 'Regin Insular'
5 'Zonas no delimitadas'.

VALUE LABELS 
/t0 1	' '
/t1 1	' '
/wclase
'1'	'Sector pblico, Clase: 01-11'
'2'	'Sector privado, Clase 01-11'
'3'	'Sector privado, Clase 12-17'
'9'	'RAROS CLASE'.

* CUADRO GENERAL.

TABLES
/OBSERVATION camas_dnor dotmedic	dotcirug	dotginob	dotped	dotneon	dotcardi	dotneumo	dotpsiqu	dottraum	
dotinfec	dotofta	dotootorri	doturolo	dotgast	dototrse	dotserin	dotemerg	dotcinte	dotcintrm	dototrapo
/TABLE t0+ (REG_NAT>prov_ubi>sector>entidad) by (camas_dnor + dotmedic +	dotcirug	+ dotginob	+ dotped	+ dotneon	+ dotcardi +	dotneumo	+ dotpsiqu	+ dottraum +
dotinfec +	dotofta	+ dotootorri +	doturolo	+ dotgast	+ dototrse	+ dotserin	+ dotemerg	+ dotcinte	+ dotcintrm	+ dototrapo)
/STATISTICS  SUM((f6)"") 
/TITLES "Cuadro 3_1_7"
 "Camas hospitalarias de dotacin normal, por servicios, segn regiones provincias sector y entidad"
/Caption "Anuario de Estadsticas Hospitalarias - Camas y Egresos 2017"
/CORNER.
EXECUTE.

* CUADRO TOTALES POR PROVINCIAS

TABLES
/OBSERVATION camas_dnor dotmedic	dotcirug	dotginob	dotped	dotneon	dotcardi	dotneumo	dotpsiqu	dottraum	
dotinfec	dotofta	dotootorri	doturolo	dotgast	dototrse	dotserin	dotemerg	dotcinte	dotcintrm	dototrapo
/TABLE t0+REG_NAT >(t1+prov_ubi) by (camas_dnor + dotmedic +	dotcirug	+ dotginob	+ dotped	+ dotneon	+ dotcardi +	dotneumo	+ dotpsiqu	+ dottraum +
dotinfec +	dotofta	+ dotootorri +	doturolo	+ dotgast	+ dototrse	+ dotserin	+ dotemerg	+ dotcinte	+ dotcintrm	+ dototrapo)
/STATISTICS  SUM((f6)"") 
/TITLES "Cuadro N. 3_1_7	Totales por Provincias"
	 " Camas hospitalarias de dotacin normal, por servicios, segn regiones, provincias y establecimientos hospitalarios"
/CAPTION "Anuario de Estadsticas Hospitalarias - Camas y Egresos 2017"
/CORNER.
EXECUTE.



